<? include('header.php');

if (isset($_GET["user"])){

?>

<div class="menucenter">
<div class='box-find'>
<form method="GET" action="">
Поиск по имени пользователя: 
<input type='text' class='box' name='user' size='10' maxlength='15' value='' style='width: 100px;' />
<input type='submit' class='box' value='Найти' />
</form>
</div>
<table width='100%' border='0' cellpadding='0' cellspacing='0' style='padding-bottom:5px;'>
<?$sql = mysql_query("SELECT username,id,avatar,newrefbuck FROM tb_users WHERE referals > 50 ORDER BY RAND() LIMIT 4");
while($stat=mysql_fetch_assoc($sql)){
$userna=$stat["username"];
$newrefbuck=$stat["newrefbuck"];
?>
<td align='center' style='padding-right:5px;'>
<div class='box-fd'>
<?=$stat["username"];?>
<br /><a href='/wall.php?user=<?=$stat["username"];?>'>
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="avp/<?=$stat['avatar'];?>" width="62" height="62" border="0" alt="Пользователь #<?=$stat['id'];?>
<?=$stat[username];?>" title="Пользователь #<?=$stat['id'];?> <?=$stat[username];?>"></div></a>авто реф-бэк: <font color='red'><?=$newrefbuck?></font>
<?}?>
<?$sql = mysql_query("SELECT username,id,avatar,newrefbuck FROM tb_users WHERE referals > 50 ORDER BY RAND() LIMIT 1");
while($stat=mysql_fetch_assoc($sql)){
$userna=$stat["username"];
$newrefbuck=$stat["newrefbuck"];
?>
<td align='center'>
<div class='box-fd'>
<?=$stat["username"];?>
<br /><a href='/wall.php?user=<?=$stat["username"];?>'>
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="avp/<?=$stat['avatar'];?>" width="62" height="62" border="0" alt="Пользователь #<?=$stat['id'];?>
<?=$stat[username];?>" title="Пользователь #<?=$stat['id'];?> <?=$stat[username];?>"></div></a>авто реф-бэк: <font color='red'><?=$newrefbuck?></font>
<?}?>
</div>
</td>
</table>
<?
$usersear=text($_GET["user"]);
$nameus=text($_SESSION["username"]);

  $res=mysql_query("select * from tb_users where username='$usersear'");
  if (mysql_num_rows($res) > 0){
  $row=mysql_fetch_assoc($res);
  $ball=round($row["ball"],2);
  $newrefbuck=$row["newrefbuck"];

  if(isset($_POST["delete"])){
    $delid=intval($_POST["id"]);

    $delet = mysql_fetch_assoc(mysql_query("SELECT user FROM wall where id='$delid'"));
    if($nameus!=$delet["user"]){
echo'<div class=error>Вы не являетесь владельцем данного коментария!<br /><a href="#" onclick="history.back();return false;">Вернуться назад</a></div>'; include('footer.php');exit;
    }

      mysql_query("DELETE FROM wall where id='$delid'");
      echo "<div class=good>Ваш комментарий успешно удалён!</div>";
  }

  if(isset($_POST["newref"])){
    if(!isset($_SESSION["username"]) && !isset($_SESSION["password"])){
	  echo '<div class=error>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</div>';include('footer.php');exit();

    }

	$res=mysql_query("select referer from tb_users where username='$nameus'");
	$res=mysql_fetch_assoc($res);
	$referer=$res["referer"];

	if($referer != ""){
        echo'<div class=error>У Вас уже есть реферер!<br /><a href="#" onclick="history.back();return false;">Вернуться назад</a></div>'; include('footer.php');exit();
	}

	if($nameus == $usersear){
 echo'<div class=error>Вы не можете выбрать сами себя как реферала<br /><a href="#" onclick="history.back();return false;">Вернуться назад</a></div>'; include('footer.php');exit();
	}

    $timenow=time();

    mysql_query("UPDATE tb_users SET referer='$usersear', ref_per_all='$newrefbuck' WHERE username='$nameus'");
    mysql_query("INSERT INTO tb_referals (user, referal, refbuck, date) VALUES('$nameus', '$usersear', '$newrefbuck', '$timenow')");
    mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('Система','$usersear','К вам подключился реферер','Пользователь $nameus стал вашим рефералом, и получил реф-бэк <font color=red><b>$newrefbuck %</b></font>.','$timenow')");?>

<div class=good> 
Поздравляем!<br />Теперь у Вас есть реферер <?=$usersear;?> !<br/><a href='wall.php?user=<?=$usersear;?>'>Перейти</a> на страницу вашего реферала.
</div>
<? include('footer.php');exit; }?>
<?
$name = mysql_num_rows(mysql_query("SELECT * FROM users_online WHERE user='$usersear'"));
if($name==1) 
{ $online="<span style='color: green'>on-line</span>";}else{ $online="<span style='color: red'>off-line</span>"; }
?>
<table class='reytt' width='100%' border='0' cellpadding='0' cellspacing='0' style='padding-bottom:5px;'>
<tr>
<td colspan='2' class="box-fed" style='padding-right:5px;border-right:0px;'><small>Ник: <b><font color='green'><?=$row['username'];?></font></b></small></td>
<td class="box-fed" style='padding-right:5px;border-left:0px;' align='right'><?=$online?></td>
</tr>
<tr>
<td align="center" rowspan="4" style='border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-bottom: 1px solid #ddd;border-top: 0px solid #ddd;'>
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="avp/<?=$row['avatar'];?>" width="62" height="62" border="0" alt="Пользователь #<?=$row['id'];?> <?=$row['username'];?>" title="Пользователь #<?=$row['id'];?> <?=$row['username'];?>">
</div>
</td>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Дата регистрации: <?=$row['joindate'];?></td>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Дата последней активности: <font style="color: Green;"><?=$row['lastlogdate'];?></font></td>
</tr><tr>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Просмотрено ссылок: <?=$row['visits'];?> шт.</td>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Прочитано писем: <?=$row['views_mails'];?> шт.</td>
</tr><tr>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Рефералов: <? 
$userpois=$row['username'];
$sqryvar="SELECT COUNT(*) as count from tb_users where referer='$userpois'";
$iqryvar=mysql_query($sqryvar);
$row22=mysql_fetch_assoc($iqryvar);
$myrefs=$row22['count'];
echo $myrefs; ?> чел.</td>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Просмотрено рефералами ссылок: <?=$row['referalvisits'];?> шт.</td>
</tr>
<tr>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Рейтинг: <font color="red"><b><?=round($row['ball'],2);?></b></font> балл.<br /></td>
<td align="left" style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Выплачено средств: <?=round($row['paid'],2);?> руб.</td>
</tr>
<? if(isset($_SESSION["username"]) && isset($_SESSION["password"])){?>
<tr>
<td class='box-fed' align='center' style='border: 1px solid #ddd;border-top:0px;'>
<form action="" method="POST">
<input name="newref" readonly='readonly' value="<?=$usersear;?>" size="15" type="newref" style="display: none;">
<input value="Стать рефералом" class="boxer" type="submit">
</form>
</td>
<td colspan='2' align='center' style='border: 1px solid #ddd;border-left:0px;border-top:0px;padding:3px;'>Авто реф-бэк всем присоединившемся рефералам: <font color='red'><b><?=$newrefbuck?>%</b></font></td>
</tr>
<? }?>
</table>

<? if($nameus != $usersear){ ?>
<script type="text/javascript" language="JavaScript">
function LoginClick() {
document.getElementById('logfrm').style.display = '';
document.getElementById('logbtn').style.display = 'none';
}
</script>
<?if(isset($_SESSION["username"]) && isset($_SESSION["password"])){ ?>
<center>
<form name="mailform" action="" id="logbtn" class="btnlogin" href="#login" >
<input type=submit class="ok_wm" onClick="javascript:LoginClick(); return false;" value="Оставить отзыв">
</form>
</center>
<?}else{?>
<center>
<form action='register.php'/>
<input type="submit" value=" Регистрация " class="ok_wm" />
</form>
</center>
<? }?>

<div id="logfrm" class="formlogin" style="display: none;">

<?
include("copilca/css.php");
include("form_wall.php");
?>

</div><br />

<? } ?>
<div class='box-find'>
<center>&darr; Коментарии о пользователе #<?=$row['id'];?> <?=$usersear;?> &darr;</center>
</div>

<?
$tabla = mysql_query("SELECT * FROM wall where wall='$usersear' order by id desc");

while ($walli = mysql_fetch_assoc($tabla))
{

$kkk=$walli['user'];

$otzik = mysql_fetch_assoc(mysql_query("SELECT * FROM tb_users where username='$kkk'"));
$ball_ot=$otzik["ball"];
if($walli['status']==good) { $status="<font color='green'>Положительный отзыв</font>";}
if($walli['status']==bad) { $status="<font color='red'>Отрицательный отзыв</font>";}
if($walli['status']==not) { $status="<font color='grey'>Нейтральный отзыв</font>";}

$re1=mysql_fetch_assoc(mysql_query("select count(id) as kolvo from wall where wall='$kkk' and status='good'"));
$re2=mysql_fetch_assoc(mysql_query("select count(id) as kolvo from wall where wall='$kkk' and status='bad'"));

$ro1=$re1["kolvo"];
$ro2=$re2["kolvo"];

?>

<table width='100%' border='0' cellpadding='0' cellspacing='0' style='padding-bottom:5px;'>
<thead style='background:#f5f5b5;'>
<tr>
<th colspan='2' align='left' style='color:red; font:11px Tahoma; border:solid 1px #F2C0A6; padding:4px; padding-left:15px;'>Пользователь: <a href='wall.php?user=<?=$walli['user'];?>' target='_blank'><?=$walli['user'];?></a> <span style='color:#777766;font-size:10px;'>(Репутация: <font color='red'><?=round($otzik['ball'],2);?></font> балл.)</th>
<?if($_SESSION["username"]==$walli["user"]){?>
<th style='color:red; font:13px Tahoma; width:20px; border:solid 1px #F2C0A6;border-left:0px;'>
<form action="" method="POST">
<input type=hidden name="delete">
<input type=hidden name="id" value="<?=$walli["id"];?>">
<input type="image" src="images/delete.png" alt="блок" style='border:none;' title="Удалить"></form>
</th>
<?}?>
</tr></thead>
<tr>
<td width="70" rowspan="2" aling='left' style='font:11px Tahoma; border:solid 1px #DDD; border-top:0px; padding:4px;'>
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src="avp/<?=$otzik['avatar'];?>" width="62" height="62" border="0">
</div>
<center>
<img src='img/wall20.png' alt='Стена пользователя <?=$walli['user'];?>' title='Стена пользователя <?=$walli['user'];?>' width='16' height='16' border='0' align='absmiddle'> <a href='wall.php?user=<?=$walli['user'];?>' target='_blank'>Перейти</a>
</center></td>
<td valign="top" style='font:11px Tahoma; border-bottom:solid 1px #DDD; border-right:solid 1px #DDD; padding:6px;' class="nobdr" align='left'> 
<div style='color:green; font: 11px Arial, Verdana, sans-serif, Tahoma;font-style: italic;font-weight: bold;'>
<?=$status;?>
</div>
<br><?=$walli['comment'];?><br>
<div style='padding-top:20px; color:green; font: 11px Arial, Verdana, sans-serif, Tahoma;font-style: italic;font-weight: bold;'>
<?=date("d.m.Y в H:i:s",$walli['data']);?></div>
</td>
<?if($_SESSION["username"]==$walli["user"]){?>
<td style='color:red; font:13px Tahoma; border:solid 1px #DDD; padding:4px;border-left: 0px solid #fff;border-top:0px;'></td>
<?}?>
</tr>
</table>

<?
}
if(isset($_POST["comment"]))
{
$status=text($_POST["status"]);
if ($status!="good" and $status!="bad" and $status!="not" )
{
echo "<div class=error>Не дури систему</div>";
include('footer.php');
exit;
}
if(!isset($_SESSION["username"]))
{
echo "<div class=error>Добавлять комментарии могут только зарегистрированные пользователи!</div>";
include('footer.php');
exit;
}

        require_once('bbcode.php');
        $comment = bbcod($_POST["comment"], true, true);

if($comment!='')
{
$user1=text($_SESSION["username"]);
if($usersear!=$user1)
{
$proverka=mysql_fetch_assoc(mysql_query("SELECT * FROM wall where wall='$usersear'"));
if($proverka["user"]!=$user1)
{
$date=time();
        mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('Система','$usersear','Новый коментарий','Пользователь написал коментарий на вашей стене, чтобы прочитать его перейдите по <a href=wall.php?user=$usersear>этой</a> ссылке.','$date')");

	$sql = "INSERT INTO wall (user, wall, comment, status, data) VALUES ('$user1','$usersear','$comment','$status','$date')";
	mysql_query($sql) or die(mysql_error());$allsqls++;


echo "<div class=good>Ваш комментарий успешно добавлен</div>";
include('footer.php');
?>
  <script type="text/javascript">
  location.replace("wall.php?user=<?=$usersear; ?>");
  </script>
  <noscript>
  <meta http-equiv="refresh" content="0; url=wall.php?user=<?=$stana; ?>">
  </noscript>
<?
}else{
echo "<div class=error>Нельзя оставлять более 1 коментария 1 пользователю!</div>";
}

}else{
echo "<div class=error>Нельзя самому себе оставлять коментарии!</div>";
}
}else{
echo "<div class=error>Нельзя оставлять пустые комментарии</div>";
}
}
}else{
echo "<div class=error>Такого нет пользователя на нашем буксе!</div>";
}
} include('footer.php');?>

